package _VisualDVM.GlobalData.Tasks.RunTask;
import Common.Database.Tables.iDBTable;
import Common.Visual.DataSetControlForm;
import _VisualDVM.GlobalData.Tasks.RunTask.UI.RunTasksForm;

import javax.swing.*;
public class RunTasksDBTable extends iDBTable<RunTask> {
    public RunTasksDBTable() {
        super(RunTask.class);
    }
    @Override
    public String getSingleDescription() {
        return "задача на запуск";
    }
    @Override
    public String getPluralDescription() {
        return "задачи на запуск";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new RunTasksForm(this, mountPanel);
    }
}
